# 51. Vaicājums: iegūt režģotos datus no "Ražas datu kopas"

Vaicājums, lai iegūtu režģotos datus no rastra datu kopas, kas saistīta ar "YieldDataset", kā `GEOJSON`  ar punktiem vai `GEOTIFF`.Properties atribūtā ir visi datu kopas atribūti par punktu.&#x20;

#### 1. Pieprasiet failu eksportēšanai

{% hint style="danger" %}
Ieteicams izgūt tikai vienu datu kopu ar `sourceDataUrl` vienā pieprasījumā.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, un `MinusTwoPixels` ir pieejami kā `buferis`.

`GEOJSON` un `GEOTIFF` ir pieejami kā formāts.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Lejupielādējiet ģenerēto failu

Pēc veiksmīgas faila sagatavošanas to var lejupielādēt, izmantojot `curl` vai līdzīgu pieeju.

{% hint style="danger" %}
`sourceDataUrl` saite ir pieejama tikai **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/51.-vaicajums-iegut-rezgotos-datus-no-razas-datu-kopas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
